mfsmetalogger(8)

NAME
mfsmetalogger - start, restart or stop Moose File System metalogger process

SYNOPSIS
mfsmetalogger [-f] [-c CFGFILE] [-u] [-d] [-t LOCKTIMEOUT] [ACTION]

mfsmetalogger -s [-c CFGFILE]

mfsmetalogger -v

mfsmetalogger -h

DESCRIPTION

mfsmetalogger is the metadata replication server of Moose File System. Depending on parameters it can start, restart or stop MooseFS metalogger process. Without any options it starts MooseFS metalogger, killing previously run process if lock file exists.

SIGHUP (or 'reload' ACTION) forces mfsmetalogger to reload all configuration files.

mfsmetalogger exists since 1.6.5 version of MooseFS; before this version mfschunkserver(8) was responsible of logging metadata changes.

-v  print version information and exit

-h  print usage information and exit

-f  (deprecated, use start action instead) forcily run MooseFS metalogger process, without trying to kill previous instance (this option allows to run MooseFS metalogger if stale PID file exists)

-s  (deprecated, use stop action instead) stop MooseFS metalogger process

-c CFGFILE
    specify alternative path of configuration file (default is mfsmetalogger.cfg in system configuration directory)

-u  log undefined configuration values (when default is assumed)

-d  run in foreground, don't daemonize

-t LOCKTIMEOUT
    how long to wait for lockfile (default is 60 seconds)

ACTION
    is the one of start, stop, restart, reload, test or kill. Default action is restart unless -s (stop) or -f (start) option is given. Note that -s and -f options are deprecated, likely to disappear and ACTION parameter to become obligatory in MooseFS 1.7.

FILES

mfsmetalogger.cfg
    configuration file for MooseFS metalogger process; refer to mfsmetalogger.cfg(5) manual for details

mfsmetalogger.lock
    PID file of running MooseFS metalogger process (created in RUN_PATH by MooseFS < 1.6.9)

.mfsmetalogger.lock
    lock file of running MooseFS metalogger process (created in data directory since MooseFS 1.6.9)

changelog_ml.*.mfs
    MooseFS filesystem metadata change logs (backup of master change log files)

metadata.ml.mfs.back
    Latest copy of complete metadata.mfs.back file from MooseFS master.

sessions.ml.mfs
    Latest copy of sessions.mfs file from MooseFS master.

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2018 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8), mfsmetalogger.cfg(5)